Get Usage Limits Policy
curl --request GET \
--url https://api.portkey.ai/v1/policies/usage-limits/{policyUsageLimitsId} \
--header 'x-portkey-api-key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"conditions": [
{
"key": "workspace_id",
"value": "workspace-123"
}
],
"group_by": [
{
"key": "api_key"
}
],
"credit_limit": 123,
"alert_threshold": 123,
"value_key_usage_map": {},
"object": "policy_usage_limits"
}Retrieve Usage Limits Policy
Get a single usage limits policy by ID.
GET
/
policies
/
usage-limits
/
{policyUsageLimitsId}
Get Usage Limits Policy
curl --request GET \
--url https://api.portkey.ai/v1/policies/usage-limits/{policyUsageLimitsId} \
--header 'x-portkey-api-key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"conditions": [
{
"key": "workspace_id",
"value": "workspace-123"
}
],
"group_by": [
{
"key": "api_key"
}
],
"credit_limit": 123,
"alert_threshold": 123,
"value_key_usage_map": {},
"object": "policy_usage_limits"
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-feat-byteplus-provider.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Usage limits policy UUID
Query Parameters
Filter by status
Available options:
active, archived Include usage information for each value key
Response
Usage limits policy details
Policy UUID
Policy type
Available options:
cost, tokens Policy status
Available options:
active, archived Workspace UUID
Organization UUID
Creation timestamp
Last update timestamp
Policy name
Array of conditions
Show child attributes
Show child attributes
Array of group by fields
Show child attributes
Show child attributes
Maximum usage allowed
Alert threshold
Reset period
Available options:
monthly, weekly Map of value keys to usage information (only included when include_usage=true)
Show child attributes
Show child attributes
Example:
"policy_usage_limits"
Last modified on May 24, 2026
Was this page helpful?
⌘I

